For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Webhooks

Get Webhook

GET
https://api.webflow.com/v2/webhooks/:webhook_id
GET
/v2/webhooks/:webhook_id
$curl https://api.webflow.com/v2/webhooks/580e64008c9a982ac9b8b754 \
> -H "Authorization: Bearer <token>"
1{
2 "id": "582266e0cd48de0f0e3c6d8b",
3 "triggerType": "form_submission",
4 "url": "https://webhook.site/7f7f7f7f-7f7f-7f7f-7f7f-7f7f7f7f7f7f",
5 "workspaceId": "4f4e46fd476ea8c507000001",
6 "siteId": "562ac0395358780a1f5e6fbd",
7 "lastTriggered": "2023-02-08T23:59:28.572Z",
8 "createdOn": "2022-11-08T23:59:28.572Z"
9}

Get a specific Webhook instance

Required scope: sites:read

Was this page helpful?
Previous

Create Webhook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_idstringRequiredformat: "objectid"
Unique identifier for a Webhook

Response

Request was successful
idstringRead-onlyformat: "objectid"
Unique identifier for the Webhook registration
triggerTypeenum

The type of event that triggered the request. See the the documentation for details on supported events.

urlstring
URL to send the Webhook payload to
workspaceIdstringRead-onlyformat: "objectid"
Unique identifier for the Workspace the Webhook is registered in
siteIdstringRead-onlyformat: "objectid"
Unique identifier for the Site the Webhook is registered in
filterobject

Only supported for the form_submission trigger type. Filter for the form you want Webhooks to be sent for.

lastTriggeredstringRead-onlyformat: "date-time"
Date the Webhook instance was last triggered
createdOnstringRead-onlyformat: "date-time"
Date the Webhook registration was created

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error